### Method

# Gtk LayoutManager allocate

#### Declaration [src]

    void
    gtk_layout_manager_allocate (
      GtkLayoutManager* manager,
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` using `manager`.
| The data is owned by the caller of the function.
`width` | `int`
| The new width of the `widget`.
`height` | `int`
| The new height of the `widget`.
`baseline` | `int`
| The baseline position of the `widget`, or -1.